#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n,q;
    cin >> n;
    int x[n];
    for(int i=0;i<n;i++)
    {
        cin >> x[i];
    }
    cin >> q;
    int l[q],r[q];
    for(int i=0;i<q;i++)
    {
        cin >> l[i] >> r[i];
    }
    return 0;
}